/* /Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-g80pqg6xyb] {
position: relative;
display: flex;
flex-direction: column;
height: 100vh;
}

main[b-g80pqg6xyb] {
flex: 1;
overflow-y: auto;
}

@media (min-width: 641px) {
.sidebar[b-g80pqg6xyb] {
/* width is handled by MainLayout.razor <style> */
height: 100vh;
position: sticky;
top: 0;
}

.top-row[b-g80pqg6xyb] {
position: sticky;
top: 0;
z-index: 1;
}

.top-row.auth[b-g80pqg6xyb]  a:first-child {
flex: 1;
text-align: right;
width: 0;
}

.top-row[b-g80pqg6xyb], article[b-g80pqg6xyb] {
padding-left: 2rem !important;
padding-right: 1.5rem !important;
}
}

#blazor-error-ui[b-g80pqg6xyb] {
color-scheme: light only;
background: lightyellow;
bottom: 0;
box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
box-sizing: border-box;
display: none;
left: 0;
padding: 0.6rem 1.25rem 0.7rem 1.25rem;
position: fixed;
width: 100%;
z-index: 1000;
}

#blazor-error-ui .dismiss[b-g80pqg6xyb] {
cursor: pointer;
position: absolute;
right: 0.75rem;
top: 0.5rem;
}
@media print {
    .sidebar[b-g80pqg6xyb], .top-row[b-g80pqg6xyb] {
        display: none !important;
    }
    
    main[b-g80pqg6xyb] {
        margin: 0 !important;
        padding: 0 !important;
    }
    
    .page[b-g80pqg6xyb] {
        display: block !important;
    }
}
/* /Components/Layout/ReconnectModal.razor.rz.scp.css */
.components-reconnect-first-attempt-visible[b-5s03566v3b],
.components-reconnect-repeated-attempt-visible[b-5s03566v3b],
.components-reconnect-failed-visible[b-5s03566v3b],
.components-pause-visible[b-5s03566v3b],
.components-resume-failed-visible[b-5s03566v3b],
.components-rejoining-animation[b-5s03566v3b] {
display: none;
}

#components-reconnect-modal.components-reconnect-show .components-reconnect-first-attempt-visible[b-5s03566v3b],
#components-reconnect-modal.components-reconnect-show .components-rejoining-animation[b-5s03566v3b],
#components-reconnect-modal.components-reconnect-paused .components-pause-visible[b-5s03566v3b],
#components-reconnect-modal.components-reconnect-resume-failed .components-resume-failed-visible[b-5s03566v3b],
#components-reconnect-modal.components-reconnect-retrying[b-5s03566v3b],
#components-reconnect-modal.components-reconnect-retrying .components-reconnect-repeated-attempt-visible[b-5s03566v3b],
#components-reconnect-modal.components-reconnect-retrying .components-rejoining-animation[b-5s03566v3b],
#components-reconnect-modal.components-reconnect-failed[b-5s03566v3b],
#components-reconnect-modal.components-reconnect-failed .components-reconnect-failed-visible[b-5s03566v3b] {
display: block;
}


#components-reconnect-modal[b-5s03566v3b] {
background-color: white;
width: 20rem;
margin: 20vh auto;
padding: 2rem;
border: 0;
border-radius: 0.5rem;
box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
opacity: 0;
transition: display 0.5s allow-discrete, overlay 0.5s allow-discrete;
animation: components-reconnect-modal-fadeOutOpacity-b-5s03566v3b 0.5s both;
&[open]

{
animation: components-reconnect-modal-slideUp-b-5s03566v3b 1.5s cubic-beier(.05, .89, .25, 1.02) 0.3s, components-reconnect-modal-fadeInOpacity-b-5s03566v3b 0.5s ease-in-out 0.3s;
animation-fill-mode: both;
}

}

#components-reconnect-modal[b-5s03566v3b]::backdrop {
background-color: rgba(0, 0, 0, 0.4);
animation: components-reconnect-modal-fadeInOpacity-b-5s03566v3b 0.5s ease-in-out;
opacity: 1;
}

@keyframes components-reconnect-modal-slideUp-b-5s03566v3b {
0% {
transform: translateY(30px) scale(0.95);
}

100% {
transform: translateY(0);
}
}

@keyframes components-reconnect-modal-fadeInOpacity-b-5s03566v3b {
0% {
opacity: 0;
}

100% {
opacity: 1;
}
}

@keyframes components-reconnect-modal-fadeOutOpacity-b-5s03566v3b {
0% {
opacity: 1;
}

100% {
opacity: 0;
}
}

.components-reconnect-container[b-5s03566v3b] {
display: flex;
flex-direction: column;
align-items: center;
gap: 1rem;
}

#components-reconnect-modal p[b-5s03566v3b] {
margin: 0;
text-align: center;
}

#components-reconnect-modal button[b-5s03566v3b] {
border: 0;
background-color: #6b9ed2;
color: white;
padding: 4px 24px;
border-radius: 4px;
}

#components-reconnect-modal button:hover[b-5s03566v3b] {
background-color: #3b6ea2;
}

#components-reconnect-modal button:active[b-5s03566v3b] {
background-color: #6b9ed2;
}

.components-rejoining-animation[b-5s03566v3b] {
position: relative;
width: 80px;
height: 80px;
}

.components-rejoining-animation div[b-5s03566v3b] {
position: absolute;
border: 3px solid #0087ff;
opacity: 1;
border-radius: 50%;
animation: components-rejoining-animation-b-5s03566v3b 1.5s cubic-beier(0, 0.2, 0.8, 1) infinite;
}

.components-rejoining-animation div:nth-child(2)[b-5s03566v3b] {
animation-delay: -0.5s;
}

@keyframes components-rejoining-animation-b-5s03566v3b {
0% {
top: 40px;
left: 40px;
width: 0;
height: 0;
opacity: 0;
}

4.9% {
top: 40px;
left: 40px;
width: 0;
height: 0;
opacity: 0;
}

5% {
top: 40px;
left: 40px;
width: 0;
height: 0;
opacity: 1;
}

100% {
top: 0px;
left: 0px;
width: 80px;
height: 80px;
opacity: 0;
}
}





